List invoicing entities
curl --request GET \
--url https://api.hyperline.co/v1/invoicing-entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperline.co/v1/invoicing-entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperline.co/v1/invoicing-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total": 1,
"taken": 1,
"skipped": 0
},
"data": [
{
"id": "inv123",
"name": "Acme Corp",
"timezone": "America/New_York",
"language": "en",
"is_default": true,
"currency": "USD",
"accounting_currency": "USD",
"address_line1": "123 Elm St",
"address_line2": "Suite 5",
"zip_code": "10001",
"state": "NY",
"city": "New York",
"country": "USA",
"registration_number": "00011122334",
"tax_id": "123456789",
"tax_id_valid": true,
"billing_email": "billing@acmecorp.com",
"invoice_number_pattern": "INV-#####",
"credit_note_number_pattern": "CN-#####",
"document_number_pattern": "DOC-#####",
"next_invoice_number": 1001,
"next_credit_note_number": 201,
"next_document_number": 1501,
"default_payment_delay": 30,
"invoice_grace_period_duration": 7,
"invoice_payment_initiation_delay": 2,
"document_payment_initiation_delay": 2,
"invoice_late_fees": "2% per month",
"invoice_footer": "Thank you for your business.",
"document_footer": "Thank you for your business.",
"logo_url": "http://example.com/logo.png",
"favicon_url": "http://example.com/logo.png",
"brand_color": "#FF5733",
"forced_customer_type": null,
"credit_note_wallet_refund_enabled": false,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-04-01T00:00:00Z",
"deleted_at": null,
"trade_name": "Acme"
}
]
}Invoicing entities
List invoicing entities
Retrieve existing invoicing entities.
GET
/
v1
/
invoicing-entities
List invoicing entities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
0 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I

